commit:     4aa4f668b02cde12982a189ee8cc2c01e0690ed6
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 19 14:35:08 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Oct 19 15:11:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aa4f668

kde-frameworks/qqc2-desktop-style: 5.111.0 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-frameworks/qqc2-desktop-style/Manifest         |  1 +
 .../qqc2-desktop-style-5.111.0.ebuild              | 31 ++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/kde-frameworks/qqc2-desktop-style/Manifest 
b/kde-frameworks/qqc2-desktop-style/Manifest
index 488535e63850..401803507bc3 100644
--- a/kde-frameworks/qqc2-desktop-style/Manifest
+++ b/kde-frameworks/qqc2-desktop-style/Manifest
@@ -1 +1,2 @@
 DIST qqc2-desktop-style-5.110.0.tar.xz 69460 BLAKE2B 
8e92ca71f2705be7e56f167c3bd7b0cd554076c8744166886f1a4e069ad72699e8ac8bdc54eac15ecfdb75896a62de00c3505f892844b53d5c4df74d04b29cbc
 SHA512 
953058a664a1d6aaef5b5383f20272ec20de9d96855719423b54d3cb6e265594b26e385c42dbb3044831341cc5f769e31123593aabd0ef72cf4ecdb094778caf
+DIST qqc2-desktop-style-5.111.0.tar.xz 69456 BLAKE2B 
7fd3ce6840576783362dfc70728897d8b245449c47c89c8a238c9b5709d539b00320c7836b02f04eadef0aa2f85eed024bd372feea3fcd62ab766b546883fac6
 SHA512 
447eac2c7c7c078896df0db2ab2031e0b8b36427d1feb4e12f68085ed355e94631a614ae7b14a0b2f826cf766db4a4bdd125c961ad59b16721ab54b56aa230e4

diff --git 
a/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.111.0.ebuild 
b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.111.0.ebuild
new file mode 100644
index 000000000000..78cf90702ebf
--- /dev/null
+++ b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.111.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_QTHELP="false"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.15.9
+inherit ecm frameworks.kde.org
+
+DESCRIPTION="Style for QtQuickControls 2 that uses QWidget's QStyle for 
painting"
+
+LICENSE="|| ( GPL-2+ LGPL-3+ )"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+DEPEND="
+       >=dev-qt/qtdbus-${QTMIN}:5
+       >=dev-qt/qtdeclarative-${QTMIN}:5=
+       >=dev-qt/qtgui-${QTMIN}:5
+       >=dev-qt/qtwidgets-${QTMIN}:5
+       =kde-frameworks/kconfig-${PVCUT}*:5
+       =kde-frameworks/kconfigwidgets-${PVCUT}*:5
+       =kde-frameworks/kiconthemes-${PVCUT}*:5
+       =kde-frameworks/kirigami-${PVCUT}*:5
+       =kde-frameworks/sonnet-${PVCUT}*:5[qml]
+"
+RDEPEND="${DEPEND}
+       >=dev-qt/qtgraphicaleffects-${QTMIN}:5
+       >=dev-qt/qtquickcontrols2-${QTMIN}:5
+"

Reply via email to